## com.vividsolutions.jts.util
Class CollectionUtil

    java.lang.Object
      com.vividsolutions.jts.util.CollectionUtil

public class CollectionUtil
extends java.lang.Object

Executes a transformation function on each element of a collection and returns the results in a new List.

Version:
  1.7

Nested Class Summary
`static interface` `CollectionUtil.Function`

Constructor Summary
`CollectionUtil()`

Method Summary
`static void` `apply(java.util.Collection coll, CollectionUtil.Function func)` Executes a function on each item in a Collection but does not accumulate the result
`static java.util.List` `select(java.util.Collection collection, CollectionUtil.Function func)` Executes a function on each item in a Collection and collects all the entries for which the result of the function is equal to `Boolean`.TRUE.
`static java.util.List` `transform(java.util.Collection coll, CollectionUtil.Function func)` Executes a function on each item in a `Collection` and returns the results in a new `List`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionUtil

    public CollectionUtil()

Method Detail

### transform

    public static java.util.List transform(java.util.Collection coll,
                                           CollectionUtil.Function func)

  Executes a function on each item in a `Collection` and returns the results in a new `List`

  Parameters:
    `coll` - the collection to process
    `func` - the Function to execute

### apply

    public static void apply(java.util.Collection coll,
                             CollectionUtil.Function func)

  Executes a function on each item in a Collection but does not accumulate the result

  Parameters:
    `coll` - the collection to process
    `func` - the Function to execute

### select

    public static java.util.List select(java.util.Collection collection,
                                        CollectionUtil.Function func)

  Executes a function on each item in a Collection and collects all the entries for which the result of the function is equal to `Boolean`.TRUE.

  Parameters:
    `collection` - the collection to process
    `func` - the Function to execute